Kitabo

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/kitabo/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/kitabo/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759363200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.ktbo.co.jp/wp-content/uploads/79e6c7f7d020d26e1b7f4eaee9bc5cb9-2.pdf",
    "holding_balance": 6.84,
    "holding_net_change": 2.27,
    "transaction_value_usd": 245567.57,
    "average_entry_value_usd": 108179.55,
    "transaction_value_calculated": false
  },
  {
    "date": 1762300800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.ktbo.co.jp/wp-content/uploads/79e6c7f7d020d26e1b7f4eaee9bc5cb9-3.pdf",
    "holding_balance": 9.25,
    "holding_net_change": 2.41,
    "transaction_value_usd": 270282.37,
    "average_entry_value_usd": 112150.36,
    "transaction_value_calculated": false
  },
  {
    "date": 1764633600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.ktbo.co.jp/wp-content/uploads/5bcd0a67ebb21a2e6288042c48b00b93.pdf",
    "holding_balance": 11.54,
    "holding_net_change": 2.29,
    "transaction_value_usd": 222038.36,
    "average_entry_value_usd": 96959.98,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/kitabo/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    11.54
  ],
  [
    1779062400000,
    11.54
  ],
  [
    1779148800000,
    11.54
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/kitabo/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    893540.5843999999
  ],
  [
    1779062400000,
    887936.8758
  ],
  [
    1779148800000,
    885810.5153999999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/kitabo/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/kitabo/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kitabo/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/kitabo/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}